Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.core
Interface GroupLeadershipNotificationSignal

All Superinterfaces:
  Signal

All Known Implementing Classes:
  GroupLeadershipNotificationSignalImpl

    public interface GroupLeadershipNotificationSignal

extends Signal

Signal corresponding to GroupLeadershipNotificationAction. This Signal enables the consumer to get specifics about a GroupLeadership notification. This Signal type will only be passed to a GroupLeadershipNotificationAction. This Signal is delivered to registered GMS Clients on all members of the group.

Author:
  Bongjae Chang

Method Summary
`List<String>` | `getAllCurrentMembers()` provides a list of all live members i.e.
`List<String>` | `getCurrentCoreMembers()` provides a list of all live and current CORE designated members.
`List<GMSMember>` | `getCurrentView()` provides a list of the current view's snapshot at time signal arrives.
`List<GMSMember>` | `getPreviousView()` provides a list of the previous view's snapshot at time signal arrives.

Methods inherited from interface com.sun.enterprise.ee.cms.core.Signal
`acquire, getGroupName, getMemberDetails, getMemberToken, getStartTime, release`

Method Detail

### getPreviousView

    List<GMSMember> getPreviousView()

  provides a list of the previous view's snapshot at time signal arrives.

  Returns:
    List containing the list of `GMSMember`s which are corresponding to the view

### getCurrentView

    List<GMSMember> getCurrentView()

  provides a list of the current view's snapshot at time signal arrives.

  Returns:
    List containing the list of `GMSMember`s which are corresponding to the view

### getCurrentCoreMembers

    List<String> getCurrentCoreMembers()

  provides a list of all live and current CORE designated members.

  Returns:
    List containing the list of member token ids of core members

### getAllCurrentMembers

    List<String> getAllCurrentMembers()

  provides a list of all live members i.e. CORE and SPECTATOR members.

  Returns:
    List containing the list of member token ids of all members

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.